Class | RSS::Rss::Channel::Item
In: | rss/trackback.rb rss/2.0.rb rss/0.9.rb
Parent: | Object

### Methods

other_element to_s

### Included Modules

TrackBackModel20 RSS09

### Classes and Modules

Class RSS::Rss::Channel::Item::Category
Class RSS::Rss::Channel::Item::Enclosure
Class RSS::Rss::Channel::Item::Guid
Class RSS::Rss::Channel::Item::Source

### External Aliases

pubDate | -> | date
pubDate= | -> | date=
children | -> | children09
_tags | -> | _tags09
setup_maker_element | -> | _setup_maker_element

### Public Instance methods

other_element(need_convert, indent)

[Source]

    # File rss/2.0.rb, line 92
            def other_element(need_convert, indent)
              rv = [
                super,
                *%w(author comments pubDate guid).collect do |name|
                  __send__("#{name}_element", false, indent)
                end
              ].reject do |value|
                /\A\s*\z/.match(value)
              end
              rv.join("\n")
            end

to_s(need_convert=true, indent=calc_indent)

[Source]

    # File rss/0.9.rb, line 439
            def to_s(need_convert=true, indent=calc_indent)
              rv = tag(indent) do |next_indent|
                [
                  title_element(false, next_indent),
                  link_element(false, next_indent),
                  description_element(false, next_indent),
                  category_elements(false, next_indent),
                  source_element(false, next_indent),
                  enclosure_element(false, next_indent),
                  other_element(false, next_indent),
                ]
              end
              rv = convert(rv) if need_convert
              rv
            end

[Validate]